<?php

namespace App\Generated\V1_1\Messages\Pair;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;
use App\Generated\V1_1\DTOs\RecommendPairApplyContactDTO;

class GetRecommendPairApplyContactsMessage extends Message
{
    use ValueHelper;

    protected $recommendedContacts;
    protected $contacts;

    /**
     * @return int[]
     */
    public function getRecommendedContacts()
    {
        return $this->recommendedContacts;
    }

    public function requestRules()
    {
        return [
            ['recommendedContacts', 'recommended_contacts', 'bail|integer', Constants::INTEGER | Constants::ARRAY, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['contacts', 'contacts', RecommendPairApplyContactDTO::class, Constants::MODEL | Constants::ARRAY, null],
        ];
    }

    public function setResponse($contacts)
    {
        $this->contacts = $contacts;
    }

}
